Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.meta
Class StateImageVersionIndicator.CustomUpdate

    java.lang.Object
      |
      +--kodo.jdbc.sql.RowImpl
            |
            +--kodo.jdbc.meta.StateImageVersionIndicator.CustomUpdate

All Implemented Interfaces:
  Cloneable, Row, RowManager

Enclosing class:
  StateImageVersionIndicator

public class StateImageVersionIndicator.CustomUpdate
extends RowImpl
implements RowManager

Row implementation we use to pass to versionable mappings so they can set up the where conditions we need to add to update statements.

Fields inherited from class kodo.jdbc.sql.RowImpl
`NULL`

Fields inherited from interface kodo.jdbc.sql.Row
`ACTION_DELETE, ACTION_INSERT, ACTION_UNKNOWN, ACTION_UPDATE`

Method Summary
`void` | `flushAllRows(Row row)` Flush the logical row.
`void` | `flushSecondaryRow(Row row)` Flush the secondary row; after flushing the row is available for reuse.
`Row` | `getAllRows(Table table, int action)` Return a logical row representing an update that should be made to all rows of the given table.
`Row` | `getRow(Table table, int action, KodoStateManager sm, boolean create)` Return the row for the given table and owner object, or null if `create` is false and the row has not already been created.
`Row` | `getRow(Table table, int action, Object oid, boolean create)`
`Row` | `getSecondaryRow(Table table, int action)` Return a row for the given secondary table.
`String` | `getSQL()` Return a boolean SQL expression that should be added to the WHERE clause of an UPDATE to test whether the current database record matches our stored version.
`void` | `setObject(Column col, Object val, int metaType, Object arg)` Set the value of the given column in this row.

Methods inherited from class kodo.jdbc.sql.RowImpl
`canBatch, clearForeignKey, clone, copyInto, flush, flush, generateSQL, getAction, getFailedObject, getParameterCount, getPrimaryKey, getSet, getSQL, getTable, getWhere, isDependent, newInstance, setArray, setAsciiStream, setBigDecimal, setBigInteger, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setChar, setCharacterStream, setClob, setDate, setDate, setDouble, setFailedObject, setFloat, setForeignKey, setInt, setLocale, setLong, setNull, setPrimaryKey, setRaw, setShort, setString, setTime, setTimestamp, whereArray, whereAsciiStream, whereBigDecimal, whereBigInteger, whereBinaryStream, whereBlob, whereBoolean, whereByte, whereBytes, whereChar, whereCharacterStream, whereClob, whereDate, whereDate, whereDouble, whereFloat, whereForeignKey, whereInt, whereLocale, whereLong, whereNull, whereObject, wherePrimaryKey, whereShort, whereString, whereTime, whereTimestamp`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSQL

    public String getSQL()

  Return a boolean SQL expression that should be added to the WHERE clause of an UPDATE to test whether the current database record matches our stored version.

### getRow

    public Row getRow(Table table,
                      int action,
                      KodoStateManager sm,
                      boolean create)

  Description copied from interface: `RowManager`
  Return the row for the given table and owner object, or null if `create` is false and the row has not already been created. The action must be one of `Row.ACTION_INSERT`, `Row.ACTION_UPDATE`, `Row.ACTION_DELETE`.
  Specified by:
    `getRow` in interface `RowManager`

### getRow

    public Row getRow(Table table,
                      int action,
                      Object oid,
                      boolean create)

### getSecondaryRow

    public Row getSecondaryRow(Table table,
                               int action)

  Description copied from interface: `RowManager`
  Return a row for the given secondary table. The action must be one of `Row.ACTION_INSERT`, `Row.ACTION_UPDATE`, `Row.ACTION_DELETE`. Note that secondary rows are not considered when creating the foreign key dependency graph, with can cause constraint violations when using the `UPDATE` action. Only use this action if the secondary row does not have restrict-action foreign keys. Otherwise use both a delete and then an insert to perform the update.
  Specified by:
    `getSecondaryRow` in interface `RowManager`

### flushSecondaryRow

    public void flushSecondaryRow(Row row)

  Description copied from interface: `RowManager`
  Flush the secondary row; after flushing the row is available for reuse. It will retain all previously set values.
  Specified by:
    `flushSecondaryRow` in interface `RowManager`

### getAllRows

    public Row getAllRows(Table table,
                          int action)

  Description copied from interface: `RowManager`
  Return a logical row representing an update that should be made to all rows of the given table. The action must be one of `Row.ACTION_UPDATE`, `Row.ACTION_DELETE`.
  Specified by:
    `getAllRows` in interface `RowManager`

### flushAllRows

    public void flushAllRows(Row row)

  Description copied from interface: `RowManager`
  Flush the logical row.
  Specified by:
    `flushAllRows` in interface `RowManager`

### setObject

    public void setObject(Column col,
                          Object val,
                          int metaType,
                          Object arg)
                   throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Overrides:
    `setObject` in class `RowImpl`
  Following copied from interface: `kodo.jdbc.sql.Row`
  Parameters:
    `col` - the column being set
    `val` - the value for the column
    `metaType` - one of the constants from `FieldMapping` indicating the type of the supplied value
    `arg` - some JDBC types can use additional arguments

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.